package com.zzsn.utility.model;

import java.io.Serializable;


/**
 * 要爬取网站的数据库映射
 * 创建人：李东亮   
 * 创建时间：2015-5-25 下午4:47:15   
 * 公司 ：郑州数能软件科技有限公司
 * @version  1.0  
 *
 */
public class Site implements Serializable {

	private static final long serialVersionUID = 1L;
	//columns START
    /**
     * id       db_column: ID 
     */ 	
	private Long id;
    /**
     * rid       db_column: RID 
     */ 	
	private Long rid;
	
	private Long orgId;
    /**
     * name       db_column: NAME 
     */ 	
	private String name;
    /**
     * uri       db_column: URI 
     */ 	
	private String uri;
    /**
     * category       db_column: CATEGORY 
     */ 	
	private String category;
    /**
     * leve       db_column: LEVE 
     */ 	
	private String leve;
    /**
     * lang       db_column: LANG 
     */ 	
	private String lang;
    /**
     * collect       db_column: COLLECT 
     */ 	
	private String collect;
    /**
     * template       db_column: TEMPLATE 
     */ 	
	private String template;
    /**
     * match       db_column: MATCH 
     */ 	
	private String match;
    /**
     * rule       db_column: RULE 
     */ 	
	private String rule;
    /**
     * scan       db_column: SCAN 
     */ 	
	private String scan;
    /**
     * status       db_column: STATUS 
     */ 	
	private String status;
    /**
     * type       db_column: TYPE 
     */ 	
	private String type;
    /**
     * createBy       db_column: CREATE_BY 
     */ 	
	private String createBy;
    /**
     * createDate       db_column: CREATE_DATE 
     */ 	
	private String createDate;
    /**
     * depth       db_column: DEPTH 
     */ 	
	private Integer depth;
	
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getRid() {
		return rid;
	}
	public void setRid(Long rid) {
		this.rid = rid;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getUri() {
		return uri;
	}
	public void setUri(String uri) {
		this.uri = uri;
	}
	public String getCategory() {
		return category;
	}
	public void setCategory(String category) {
		this.category = category;
	}
	public String getLeve() {
		return leve;
	}
	public void setLeve(String leve) {
		this.leve = leve;
	}
	public String getLang() {
		return lang;
	}
	public void setLang(String lang) {
		this.lang = lang;
	}
	public String getCollect() {
		return collect;
	}
	public void setCollect(String collect) {
		this.collect = collect;
	}
	public String getTemplate() {
		return template;
	}
	public void setTemplate(String template) {
		this.template = template;
	}
	public String getMatch() {
		return match;
	}
	public void setMatch(String match) {
		this.match = match;
	}
	public String getRule() {
		return rule;
	}
	public void setRule(String rule) {
		this.rule = rule;
	}
	public String getScan() {
		return scan;
	}
	public void setScan(String scan) {
		this.scan = scan;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getCreateBy() {
		return createBy;
	}
	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}
	public String getCreateDate() {
		return createDate;
	}
	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}
	public Integer getDepth() {
		return depth;
	}
	public void setDepth(Integer depth) {
		this.depth = depth;
	}
	
	public Long getOrgId() {
		return orgId;
	}
	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	 public boolean isInnerSite(){
		 return this.orgId==null;
	 }
	
}
